List Boards
curl --request GET \
--url https://api.example.com/api/v1/boards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/boards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"realm_id": "<string>",
"settings": {
"bug_test_gate_min_severity": "minor",
"cognitive_llm_config": {},
"max_drift": 50,
"max_scenarios_per_card": 3,
"max_spec_ambiguity": 30,
"min_completeness": 80,
"min_confidence": 70,
"min_spec_assertiveness": 80,
"min_spec_completeness": 80,
"require_spec_validation": false,
"require_task_validation": false,
"require_test_task_for_bug": true,
"skip_contract_coverage_global": false,
"skip_decisions_coverage_global": false,
"skip_rules_coverage_global": false,
"skip_test_coverage_global": false,
"skip_test_evidence_global": false,
"skip_trs_coverage_global": false
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}boards
List Boards
List boards for the current user. view: my|shared|all.
GET
/
api
/
v1
/
boards
List Boards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Available options:
my, shared, all Response
Successful Response
Last modified on May 17, 2026
⌘I